# This Spec file was Created by Marco Meijer <marco@mandrivaclub.nl>
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.mandrivaclub.nl

%define __libtoolize /bin/true
%define name    krecipes
%define version 0.9
%define release 1.2006mcnl
%define summary recipes
%define section More Applications/Other
#%define	libname	%mklibname %name

Name:           %{name} 
Summary:        %{summary}
Version:        %{version} 
Release:        %{release} 
Vendor:         Mandrakeclub.nl
URL:            http://krecipes.sourceforge.net/
License:        GPL
Group:          Graphics
Packager:       Marco Meijer <marco@mandrivaclub.nl>

Source0:        %{name}-%{version}.tar.gz

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot 

#Requires:	libkrecipes
BuildRequires:  libqt3-devel libkdebase4-devel


%description
Krecipes is a Open Source project for an exciting world that is almost forgotten in the Tux world: COOKING (yummy! ;-)

The goal of this projects was to create a KDE Recipe Tool that:

    * Can manage a recipe database with an easy to use interface
    * Allows creation/removal of new ingredients and units
    * Helps with diets, calculating amount of calories, vitamines, carbohydrates... per recipe
    * Creates shopping lists, and daily suggestions for a given diet type
    * Is based on MySQL (1) so it could be possible to generate a KSN(2)
    * Should be as flexible as possible to have the possibility to extend it in future.

#%package -n %{libname}
#Summary:	krecipes main libraries
#Group:		System/Libraries
#License:	GPL
#Provides:	%{libname} = %{version}-%{release}

#%description -n %{libname}
#These libraries files are needed for krecipes to function properly

#%package -n %{libname}-devel
#Summary:    krecipes libraries devel
#Group:      System/Libraries
#License:	GPL
#Requires:	%{libname} = %{version}-%{release}
#Provides:	%{libname}-devel = %{version}-%{release}

#%description -n %{libname}-devel
#These're the developers files for krecipes
    
%prep
rm -rf %{buildroot}
%setup -q -n %{name}-%{version}

%build
 
%configure --enable-shared --disable-static
%make

%install
rm -rf %{buildroot}
%makeinstall

# Menu
# Every entry must be changed according package specfications
# Pay attention to "section" "command" and "longtitle"
# Use the macros at the head of this file to change the values.
mkdir -p %buildroot/%_menudir
cat > %buildroot/%_menudir/%name << EOF
?package(%name): \
command="%_bindir/%name" \
needs="X11" \
icon="%name.png" \
section="%section" \
title="%name" \
longtitle="%summary"
EOF


%post
%update_menus

%postun
%clean_menus

%clean 
rm -rf $RPM_BUILD_ROOT 

%files 
%defattr(-,root,root,0755) 
%doc README COPYING AUTHORS
%_menudir/*
%_iconsdir/*
%{_bindir}/*
%{_datadir}/*
#%{_includedir}/*

#%files -n %{libname}
#%defattr(-,root,root)
#%doc COPYING
#%_libdir/*.so.*

#%files -n %{libname}-devel
#%defattr(-,root,root)
#%doc COPYING
#%_libdir/*.so
#%_libdir/*.la

%changelog 

*Thu Dec 1 2005 Marco Meijer <marco@mandrivaclub.nl> 0.9-1.2006mcnl
new version

*Mon Jul 25 2005 Marco Meijer <marco@mandrivaclub.nl> 0.8.1-1.2006mcnl
new version

*Sun Jul 03 2005 Marco Meijer <marco@mandrivaclub.nl> 0.8-0beta1.102mcnl
new version

*Sun Feb 13 2005 Marco Meijer <marco@mandrivaclub.nl> 0.7-0beta.101mcnl
first build for mandrakeclub.nl

*Thu Dec 02 2004 Marco Meijer <marco@mandrivaclub.nl> 0.6-0beta.101mcnl
first build for mandrakeclub.nl


